Subject: To Devon Zatorski regarding Check#2005051
From: "LLPS Customer Service" <[email-masked]>
To: <[email-masked]>
Date: Wed, 20 Mar 2013 12:50:33 -0400

Hi Devon,
I received your contact information from Billhighway. I called them about two checks we received from Delta Delta Delta. The first one was ck#2004965 which was for $77.25. I found an invoice in our system that had that amount due, order#1679240 so was able to apply payment to that invoice.  We also received another ck, #2005051 for $67.25. I wasn't sure if you needed another set of posters sent maybe to a different location or if the check was sent to us in error. If another set is needed, could you please email me back the address and who's attention the posters should go to. If it was sent in error, we can send a refund check to you. We would just need the address you need the refund sent to. 

Thanks for your help!

Celeste 
Arizona Labor Law Poster Service